Skip to main content
GET
/
conversations
/
{conversation_id}
/
variables
Error
A valid request URL is required to generate request examples
{
  "limit": 20,
  "has_more": false,
  "data": [
    {
      "id": "a1b2c3d4-5678-90ab-cdef-1234567890ab",
      "name": "user_preference",
      "value_type": "string",
      "value": "dark_mode",
      "description": "ユーザー設定",
      "created_at": 1705407629,
      "updated_at": 1705411229
    }
  ]
}

Authorizations

Authorization
string
header
required

API Key 認証です。すべての API リクエストにおいて、Authorization HTTP ヘッダーに Bearer プレフィックスを付けた API Key を含めてください。例:Authorization: Bearer {API_KEY}API Key はサーバーサイドに保存し、クライアントサイドで共有・保存しないことを強く推奨します。API Key の漏洩は深刻な結果につながる可能性があります。

Path Parameters

conversation_id
string
required

会話 ID。

Query Parameters

user
string

ユーザー識別子です。

last_id
string

現在のページの最後のレコードの ID(ページネーション用)です。

limit
integer
default:20

返すレコード数です。

Required range: 1 <= x <= 100
variable_name
string

指定した名前で変数をフィルタリングします。

Required string length: 1 - 255

Response

会話変数の取得に成功しました。

limit
integer

1 ページあたりの件数です。

has_more
boolean

次のページがあるかどうかです。

data
object[]

会話変数のリストです。